[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TPointArray

Defines an array type used for TPoint values.

## Declaration

Source position: lazregions.pas line 19

`type TPointArray = GraphType.TPointArray;`

## Description

TPointArray is an array type used for TPoint instances which define the vertices in a polygon. It is used to implement the Points member in TLazRegionPolygon, and passed as an argument to the AddPolygon method in TLazRegion.

TPointArray is an alias for the TPointArray type defined in the LazUtils graphtype.pp unit.

## Version info

Modified in LCL version 4.0 to be an alias to the TPointArray type defined in the graphtype.pp unit (LazUtils).

## See also

TLazRegionPolygon.Points |  | Array of TPoint values that define the vertices for the polygonal region.
TLazRegion.AddPolygon |  | Adds a polygonal area with the specified vertices to the region.
TPointArray